# [this's a test for deploying using gitlab autodeploy with google cloud , AWS and Openshift and done by laith rafid ](https://www.linkedin.com/in/laithrafid/)



## Download and Installation

To begin using this template, choose one of the following options to get started:
* [git clone ](https://gitlab.com/laith.rafid/site.git)

## Usage
after cloning it , if you would like to setup your on resume , please edit HTML
file accordingly and follow steps below to auto deploy it in your server or
cloud instance .
### steps
1. ensure that docker and docker compose are installed
2. ensure that ports are open
3. add your certifcate to the proxy nginx server
4. use gitlab auto devops to deploy it to the cloud of your choice
5. docker compose and manage
6. done
